Subject: [MMUSIC] SDP comments on draft-singh-avtcore-mprtp-02: Available Mechanisms within the Functional Blocks (Section 7)

From: Christer Holmberg <[email-masked]>
Date: Wed, 3 Aug 2011 23:06:06 +0200

Hi,

Below are my comments/questions on section 7.

Regards,

Christer

Section 7.1:

	The text says:

	"Furthermore, ICE [3] may be used for discovering and performing connectivity checks during session setup."

	ED_7_1-1: Discovering what?

	ED_7_1-2: ICE can also be used during mid-session modification (as you also later indicate 
	in section 7.3).

Section 7.3:

	ED_7_3-1: "(using SDP)" -> "(e.g. using SDP)".

	The text says:

	"If the connectivity packets are received by the peers, then multimedia data can 
	flow between the new address, port pairs."

	ED_7_3-2: I think it would be better to be more general, and talk about when the connectivity 
	checks have been successfully performed, or something like that. Because, when using ICE we talk 
	about STUN connectivity messages, rather than connectivity packets.

Section 7.5:

	ED_7_5-1: I guess you are going to add some text here, or remove the section. But, as I commented earlier, 
	(FU_4-1), I don't think it's within the scope of this draft to make any recommendations regarding SIP/SDP transport.